Bug 1020989 - Bogus error messages: "No network connection available..."
Bogus error messages: "No network connection available..."
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-10-18 12:45 EDT by wwaustin
Modified: 2015-02-17 12:44 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-02-17 12:44:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the output of dmesg, dmesg.out.gz (21.75 KB, application/gzip)
2013-10-18 12:45 EDT, wwaustin
no flags Details

  None (edit)
Description wwaustin 2013-10-18 12:45:05 EDT
Created attachment 813852 [details]
the output of dmesg, dmesg.out.gz

Description of problem:

Every 1-5 minutes (random) I get a box on the screen with this error message:
 "No network connection available
  cannot refresh cache when offline"

This is despite the fact that both my internal and extrnal network connections are up and actively in use.  I have no trouble pinging, telneting, rlogin'ing, ssh'ing, rcp'ing, etc. either internally (192.168.1 network) or externally through my ISP.
My external connection is through att.net, and no parameters have changed on that setup for over a year - and if I reboot the system and go back to my FC17 installation, the messages do not occur.

> FWIW, my son tried a browser which he wrote for a class project (2nd year CS major in college) and it works if I boot it under FC17 but if I go back to FC19, it says there's no network connection just like Thunderbird.

> ALSO: Swapping the two networks between the 2 cards does not change the results at all.

Version-Release number of selected component (if applicable):
-- kernel - (any FC19 kernel - take your pick from kernel-3.9.5-301.fc19.x86_64 through kernel-3.11.4-201.fc19.x86_64 -- no change in messges.
-- glibc-2.17-18.fc19.x86_64
-- glibc-2.17-18.fc19.i686
(the following are a guess as to which might be relevant here)
-- NetworkManager-pptp-
-- NetworkManager-vpnc-gnome-
-- NetworkManager-
-- NetworkManager-openconnect-
-- NetworkManager-glib-
-- system-config-network-1.6.11-1.fc19.x86_64

How reproducible:
Reboot the system - it will start a couple of minutes after the initial login prompt appears and the user (root usually) logs in.

Steps to Reproduce:
1.Reboot the machine
2.Start x-windows
3.(the messages will start in a couple of minutes.

Actual results:
The messages start coming and Thunderbird will not allow anyone to send email.
(kmail, mail, Mail, balsa, and other mail tools do not have any problem doing so.)

Expected results:
No bogus network messages and Thunderbird can be used to send email.

Additional info:
AMD Phenom II procwessor (7 cores), 8 GB main memor, 64 GB swap space, 7+TB disk space.
Network cards (from lspci):
04:00.0 Ethernet controller: D-Link System Inc DGE-560T PCI Express Gigabit Ethernet Adapter (rev 13) // on the MB
05:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 03) // PCIE card
Motherboard:  Gigabyte Technology Co., Ltd. GA-890XA-UD3/GA-890XA-UD3, BIOS FC 08/02/2010

I am adding an attachment - the output of dmesg, dmesg.out.gz
Comment 1 Fedora End Of Life 2015-01-09 15:17:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:44:07 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.